<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <meta http-equiv="X-UA-Compatible" content="ie=edge"/>

    <title>Upload Files</title>
</head>

<body>
<form enctype="multipart/form-data" method="post" name="files_form" onsubmit="dosubmit();return false">
    <div>
        <label for="url">Enter an https:// URL:</label>
        <input type="url" name="url" id="url"
               placeholder="https://example.com"
               pattern="https?://.*" size="50">
    </div>
    <p>Upload file(s)</p>
    <label for="rawFiles">Images</label>
    <input id="rawFiles" type="file" accept="image" multiple/>
    <label for="base64Files">Base64 encoded images</label>
    <input id="base64Files" type="file" accept="image" multiple/>
    <p><input type="submit" value="Submit"/></p>
</form>
<canvas id="previews" width="700" height="0"></canvas>

<script src="script.js"></script>
</body>
</html>
